STDBUF(1)

NOM
stdbuf - Exécuter une commande avec des options de mise en tampon pour ses flux standards

SYNOPSIS
stdbuf OPTION... COMMANDE

DESCRIPTION

Exécuter COMMANDE en changeant les opérations de mise en tampon pour ses flux standards.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-i, --input=MODE
    changer la mise en tampon du flux d'entrée standard

-o, --output=MODE
    changer la mise en tampon du flux de sortie standard

-e, --error=MODE
    changer la mise en tampon du flux d'erreur standard

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Si MODE vaut « L », alors le flux correspondant passera par un tampon ligne par ligne. Cette option n'est pas valables pour l'entrée standard.

Si MODE vaut « 0 », alors le flux correspondant ne passera pas par un tampon.

Sinon, MODE est un nombre qui peut être suivi par un de ces suffixes : KB 1000, K 1024, MB 1000*1000, M 1024*1024 et ainsi de suite pour G, T, P, E, Z et Y. Dans ce cas, le flux correspondant passera par un tampon dont la taille sera de MODE octets.

Note : si COMMANDE modifie la mise en tampon de ses flux standards (par exemple, c'est la cas de « tee »), alors les réglages définis par « stdbuf » seront écrasés. Aussi certains filtres (comme « dd », « cat », etc.) n'utilisent pas de flux pour leurs entrées et sorties, et ne sont donc pas affectés par les réglages de « stdbuf ».

EXEMPLES
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Ceci affichera immédiatement les entrées uniques de access.log.

BOGUES
Sur les plates-formes avec la glibc, indiquer une taille de tampon, c'est-à-dire utiliser un mode où tout passe par un tampon, résulte en des comportements non définis.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de stdbuf à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/stdbuf>
aussi disponible localement à l’aide de la commande : info '(coreutils) stdbuf invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Nicolas François <nicolas.francois@centraliens.net> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.